Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGStylableElement.StyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
              org.apache.batik.css.dom.CSSOMStoredStyleDeclaration
                  org.apache.batik.dom.svg.SVGStylableElement.StyleDeclaration

All Implemented Interfaces:
  CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.ValueProvider, CSSEngine.MainPropertyReceiver, StyleDeclarationProvider, LiveAttributeValue, CSSStyleDeclaration

Enclosing class:
  SVGStylableElement

    public class SVGStylableElement.StyleDeclaration

extends CSSOMStoredStyleDeclaration
implements LiveAttributeValue, CSSEngine.MainPropertyReceiver

This class represents the 'style' attribute.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`CSSOMSVGStyleDeclaration.StyleDeclarationColorValue, CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue`

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.StyleDeclarationValue, CSSOMStyleDeclaration.ValueProvider`

Field Summary
`protected boolean` | `mutate` Whether the mutation comes from this object.

Fields inherited from class org.apache.batik.css.dom.CSSOMStoredStyleDeclaration
`declaration`

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`cssEngine`

Fields inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`handler, parentRule, valueProvider, values`

Constructor Summary
`SVGStylableElement.StyleDeclaration(CSSEngine eng)` Creates a new StyleDeclaration.

Method Summary
`void` | `attrAdded(Attr node, String newv)` Called when an Attr node has been added.
`void` | `attrModified(Attr node, String oldv, String newv)` Called when an Attr node has been modified.
`void` | `attrRemoved(Attr node, String oldv)` Called when an Attr node has been removed.
`void` | `propertyChanged(String name, String value, String prio)` Called when a property was changed.
`void` | `propertyRemoved(String name)` Called when a property was removed.
`void` | `setMainProperty(String name, Value v, boolean important)` Sets a main property value in response to a shorthand property being set.
`void` | `textChanged(String text)` Called when the value text has changed.

Methods inherited from class org.apache.batik.css.dom.CSSOMStoredStyleDeclaration
`getLength, getStyleDeclaration, getText, getValue, isImportant, item, setStyleDeclaration`

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`createCSSValue`

Methods inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`getCssText, getCSSValue, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, removeProperty, setCssText, setModificationHandler, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mutate

    protected boolean mutate

  Whether the mutation comes from this object.

Constructor Detail

### SVGStylableElement.StyleDeclaration

    public SVGStylableElement.StyleDeclaration(CSSEngine eng)

  Creates a new StyleDeclaration.

Method Detail

### attrAdded

    public void attrAdded(Attr node,
                          String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(Attr node,
                             String oldv,
                             String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(Attr node,
                            String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

### textChanged

    public void textChanged(String text)
                     throws DOMException

  Called when the value text has changed.

  Specified by:
    `textChanged` in interface `CSSOMStyleDeclaration.ModificationHandler`
  Throws:
    `DOMException`

### propertyRemoved

    public void propertyRemoved(String name)
                         throws DOMException

  Called when a property was removed.

  Specified by:
    `propertyRemoved` in interface `CSSOMStyleDeclaration.ModificationHandler`
  Throws:
    `DOMException`

### propertyChanged

    public void propertyChanged(String name,
                                String value,
                                String prio)
                         throws DOMException

  Called when a property was changed.

  Specified by:
    `propertyChanged` in interface `CSSOMStyleDeclaration.ModificationHandler`
  Throws:
    `DOMException`

### setMainProperty

    public void setMainProperty(String name,
                                Value v,
                                boolean important)

  Sets a main property value in response to a shorthand property being set.

  Specified by:
    `setMainProperty` in interface `CSSEngine.MainPropertyReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.